%define oname   pg

Name:       ruby-%{oname}
Version:    1.4.3
Release:    %mkrel 2
Summary:    A Ruby interface to the PostgreSQL RDBMS
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        https://bitbucket.org/ged/ruby-pg/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     rubygem-pg-1.3.0-remove-rpath.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: postgresql-devel
Provides:      rubygem-pg = %version-%release

%description
This is the extension library to access a PostgreSQL database from Ruby.
This library works with PostgreSQL 7.4 and later.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

# fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/pg.rb

%files
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}

%files          doc
%doc LICENSE POSTGRES BSDL
%doc *.rdoc
%doc %{gem_docdir}


%changelog
* Wed Dec 04 2024 pterjan <pterjan> 1.4.3-2.mga10
+ Revision: 2121572
- Rebuild for Ruby 3.3

* Mon Aug 15 2022 pterjan <pterjan> 1.4.3-1.mga9
+ Revision: 1877744
- Update to 1.4.3

* Sat Apr 16 2022 pterjan <pterjan> 1.3.5-1.mga9
+ Revision: 1850755
- Update to 1.3.5 and add Fedora patch for rpath
- Rebuild for Ruby 3.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 1.2.3-1.mga8
+ Revision: 1561877
- Update to 1.2.3

* Mon Mar 02 2020 pterjan <pterjan> 1.1.4-3.mga8
+ Revision: 1553171
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.1.4-2.mga8
+ Revision: 1522566
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 1.1.4-1.mga7
+ Revision: 1360778
- Update to 1.1.4

* Sat Sep 29 2018 pterjan <pterjan> 1.1.3-1.mga7
+ Revision: 1311817
- Update to 1.1.3

* Wed Aug 29 2018 pterjan <pterjan> 1.1.2-1.mga7
+ Revision: 1255437
- Update to 1.1.2

* Mon Apr 02 2018 pterjan <pterjan> 1.0.0-1.mga7
+ Revision: 1214664
- Update to 1.0.0

* Mon Jan 01 2018 pterjan <pterjan> 0.18.4-3.mga7
+ Revision: 1188694
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 0.18.4-2.mga7
+ Revision: 1140859
- Rebuild for new Ruby

* Sun Jan 10 2016 pterjan <pterjan> 0.18.4-1.mga6
+ Revision: 921082
- Update to 0.18.4

* Sun Nov 01 2015 tv <tv> 0.18.2-1.mga6
+ Revision: 897026
- new release

* Tue Nov 25 2014 cjw <cjw> 0.14.1-12.mga5
+ Revision: 799054
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.14.1-11.mga5
+ Revision: 748311
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.14.1-10.mga5
+ Revision: 688901
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.14.1-9.mga4
+ Revision: 562114
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.14.1-8.mga4
+ Revision: 561531
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 0.14.1-7.mga4
+ Revision: 560534
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.14.1-6.mga4
+ Revision: 538740
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.14.1-5.mga4
+ Revision: 490264
- update file list

* Wed Oct 02 2013 fwang <fwang> 0.14.1-4.mga4
+ Revision: 490260
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.14.1-3.mga3
+ Revision: 396242
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.14.1-2.mga3
+ Revision: 381211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.14.1-1.mga3
+ Revision: 313775
- new version 0.14.1

* Thu Jun 07 2012 solbu <solbu> 0.13.2-1.mga3
+ Revision: 256957
- New version
- Spec cleanup
- Drop patch

* Fri Jun 24 2011 dmorgan <dmorgan> 0.11.0-2.mga2
+ Revision: 113273
- Fix release
- Add provides

* Tue Apr 19 2011 shikamaru <shikamaru> 0.11.0-1.mga2
+ Revision: 88782
- new version 0.11.0

* Fri Mar 25 2011 shikamaru <shikamaru> 0.10.1-2.mga1
+ Revision: 77167
- FHS compliance

* Sat Jan 29 2011 shikamaru <shikamaru> 0.10.1-1.mga1
+ Revision: 43656
- imported package ruby-pg

